# -*- encoding: utf-8 -*-
##############################################################################
#
#    Addition to OpenERP, Open Source Management Solution   
#    Copyright (C) 2004-2012 Vertel. All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv, fields
import pooler
import time
import datetime


class fms_vehicles(osv.osv):
    _name = "fms.vehicles"
    _inherit = 'fms.vehicles'
    
    def _asset_all(self, cr, uid, ids, field_name, arg, context=None):
        res = {}
        return res
        for vehicle in self.browse(cr, uid, ids, context=context):
            res[vehicle.id] = {
                'cmil': 0.0,
                'bdate': 0,
            }
            maxmil = monthmil1 = monthmil2 = yearmil = minmil = totalmil = 0.0
            avgfuel = 0.0
            monthfuel = 0.0
            totalfuel = 0.0
            maxdate = 0
            
            for log in vehicle.fuellog:
                if log.odometer > maxmil:
                    maxmil = log.odometer
                    maxdate = log.date
            for log in vehicle.odometer:
                if log.odometer > maxmil:
                    maxmil = log.odometer
                    maxdate = log.date
                    
            res[vehicle.id]['cmil'] = maxmil
            res[vehicle.id]['bdate'] = maxdate
        return res

    
    _columns = {
                }
    _defaults={
               }

        
#    _sql_constraints = [
#        ('uniq_name', 'unique (name)', 'The registration no (name) of the vehicle must be unique !')
#    ]
    
fms_vehicles()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
